Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package net.hyperic.util.config

Class Summary
ArrayConfigOption | A class that provides multi-valued config options.
BooleanConfigOption |
ConfigOption |
ConfigResponse |
ConfigSchema |
DirArrayConfigOption |
DirConfigOption |
DoubleConfigOption |
EnumerationConfigOption |
HiddenConfigOption |
IntegerArrayConfigOption |
IntegerConfigOption |
IpAddressConfigOption |
LongConfigOption |
MacAddressConfigOption |
MulticastIpAddressConfigOption |
PortConfigOption |
RegexArrayConfigOption |
StringArrayConfigOption |
StringConfigOption |
YesNoConfigOption |

Exception Summary
InvalidOptionException |
InvalidOptionValueException |

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.